import ajax from "@/utils/request.js";

// 全国接口

  /**
   * 频道全天节目
   * 表格查询
   * @props {}
   * @return {AxjxPromise}
   */
   export function allDayEpg(data) {
    return ajax({
      urlType: "kuyunApi",
      url: "/broadcast/list",
      method: "get",
      data
    });
  }

  /**
   * 节目查询
   * @props kw&ft
   * @return {AxjxPromise}
   */
   export function overlapSearchTitle(data) {
    return ajax({
      urlType: "kuyunApi",
      url: "/api/evaluation/eye/search_suggest?" + data,
      method: "GET",
    });
  }

  /**
   * 节目查询
   * @props kw&ft
   * @return {AxjxPromise}
   */
   export function epgAggregate(data) {
    return ajax({
      urlType: "kuyunApi",
      url: "/api/evaluation/eye/EpgListByCaIdGrowAction?" + data,
      method: "GET",
    });
  }

  // 重叠度
  /**
   * 节目重叠度
   * 图表查询
   * @props epg_ids=&area_id=
   * @return {AxjxPromise}
   */
   export function overlap(data) {
    return ajax({
      urlType: "kuyunApi",
      url: "/api/evaluation/eye/ProUserOverlapAction?" + data,
      method: "GET",
    });
  }
  // 电视剧排播信息及表现（全国）
  /**
   * 节目排行-同时段频道
   * @props epg_id=&area_id=
   * @return {AxjxPromise}
   */
   export function summary(data) {
    return ajax({
      urlType: "kuyunApi",
      url: "/api/evaluation/eye/EpgPeriodLeaderboardTvAction?" + data,
      method: "GET",
    });
  }
  /**
   * 节目排行-同时段节目
   * @props epg_id=&area_id=
   * @return {AxjxPromise}
   */
   export function program(data) {
    return ajax({
      urlType: "kuyunApi",
      url: "/api/evaluation/eye/EpgPeriodLeaderboardAction?page_no=1&" + data,
      method: "GET",
    });
  }
  /**
   * 节目排行-同时段多节目
   * @props epg_ids=&area_id=
   * @return {AxjxPromise}
   */
   export function programs(data) {
    return ajax({
      urlType: "kuyunApi",
      url: "/api/evaluation/eye/performance/epgkpi/summary?" + data,
      method: "GET",
    });
  }