const { Promise } = require("core-js");
const https = require("https");
const fs = require("fs");

async function getlist() {
  return new Promise((resolve, reject) => {
    https
      .get("https://bigdata.smcic.net/overview?&season=1", res => {
        let d = "";

        res.on("data", data => {
          d += data;
        });
        res.on("end", () => {
          let date = JSON.parse(d);
          resolve(date);
        });
      })
      .on("error", e => {
        reject(e);
      });
  });
}
async function getpla(v) {
  return new Promise((resolve, reject) => {
    https
      .get(
        "https://bigdata.smcic.net/name?topic_name=" +
          v +
          "&platform=ALL&type=all&season=1",
        res => {
          let d = "";
          res.on("data", data => {
            d += data;
          });
          res.on("end", () => {
            let date = JSON.parse(d);
            resolve(date);
          });
        }
      )
      .on("error", e => {
        reject(e);
      });
  });
}

async function t() {
  const list = await getlist();
  const out = {};
  const li = [];
  for (let i = 0; i < list.length; i++) {
    const v = list[i];
    const plist = await getpla(v.topic_name);
    for (let o = 0; o < plist.length; o++) {
      const item = plist[o];
      const key = item.nickname.replace(/\s*/g, "")
      if (out[key] === undefined) {
        li.push(item);
        out[key] = li.length - 1;
        continue;
      }
      let keys = Object.keys(item);
      for (let p = 0; p < keys.length; p++) {
        const value = keys[p];
        if (value !== "nickname") li[out[key]][value] += item[value];
      }
    }
  }
  
  fs.writeFileSync("./list.json", JSON.stringify(li.sort((a,b)=>a.pv -b.pv)));
}

t();
