import config from "../config/index";

import { ElLoading } from "element-plus";

function getdata(data) {
  let text = "";
  for (const key in data) {
    text += key + "=" + data[key] + "&";
  }
  text ? (text = "?" + text) : "";
  text = text.replace(/&$/, "");
  return text;
}

export default function(ori) {
  let baseurl = config.base[ori.urlType || "url"];
  let url = baseurl + ori.url + getdata(ori.data || {});
  if (ori.downCsv) return window.open(url);
  let d = {
    lock: true,
    background: "rgba(255, 255, 255, 0.7)",
  };
  ori.target && (d.target = ori.target);
  let load = {};
  if (!ori.notLoad) load = ElLoading.service(d);
  return new Promise((resolve, reject) => {
    var xhttp;
    if (window.XMLHttpRequest) xhttp = new XMLHttpRequest();
    else if (window.ActiveXObject)
      xhttp = new window.ActiveXObject("Microsoft.XMLHTTP");
    let method = ori.method.toUpperCase();
    xhttp.open(method, url, true);
    method === "GET" ? xhttp.send() : xhttp.send(JSON.stringify(ori.data));
    xhttp.onreadystatechange = function() {
      if (this.readyState === 4 && load.close) load.close();
      if (this.readyState != 4 || this.status != 200) return;
      let data = {};
      try {
        data = this.responseText !== 'null' ? JSON.parse(this.responseText || "{}") : {};
      } catch (err) {
        console.error(err);
        reject(err);
      }

      data && data.response && (data = data.response);
      if (!ori.urlType && !data.status) return reject(data.message);
      resolve(data.data || data.response || data);
    };
  });
}
